Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5117)
@@ -18,5 +18,5 @@
     USE dimphy, ONLY: klon
     USE indice_sol_mod
-    use sens_heat_rain_m, ONLY: sens_heat_rain
+    USE sens_heat_rain_m, ONLY: sens_heat_rain
 
     INCLUDE "clesphys.h"
@@ -77,5 +77,5 @@
     REAL,                  INTENT(IN)    :: fqsat ! correction factor on qsat (generally 0.98 over salty water, 1 everywhere else)
 
-    real, intent(in), optional:: rhoa(:) ! (knon)
+    REAL, INTENT(IN), optional:: rhoa(:) ! (knon)
     ! density of moist air  (kg / m3)
 
@@ -89,5 +89,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)   :: tsurf_new, evap, fluxsens, fluxlat
     REAL, DIMENSION(klon), INTENT(OUT)   :: dflux_s, dflux_l
-    REAL, intent(out), OPTIONAL:: sens_prec_liq(:), sens_prec_sol(:) ! (knon)
+    REAL, INTENT(OUT), OPTIONAL:: sens_prec_liq(:), sens_prec_sol(:) ! (knon)
     REAL, DIMENSION(klon), OPTIONAL      :: lat_prec_liq, lat_prec_sol
 
@@ -142,6 +142,6 @@
     dflux_s = 0.
     dflux_l = 0.
-    if (PRESENT(lat_prec_liq)) lat_prec_liq = 0.
-    if (PRESENT(lat_prec_sol)) lat_prec_sol = 0.
+    IF (PRESENT(lat_prec_liq)) lat_prec_liq = 0.
+    IF (PRESENT(lat_prec_sol)) lat_prec_sol = 0.
 
 ! zx_qs = qsat en kg/kg
@@ -258,15 +258,15 @@
 
 ! calcul de l'enthalpie des precipitations liquides et solides
-       if (PRESENT(sens_prec_liq)) sens_prec_liq(i) &
+       IF (PRESENT(sens_prec_liq)) sens_prec_liq(i) &
             = - sens_heat_rain(precip_rain(i) + precip_snow(i), t1lay(i), &
             q1lay(i), rhoa(i), rlvtt, tsurf_new(i), ps(i))
-       if (PRESENT(sens_prec_sol)) sens_prec_sol(i) = 0.
+       IF (PRESENT(sens_prec_sol)) sens_prec_sol(i) = 0.
        ! On calcule par rapport a T=0
        !! sens_prec_liq(i) = rcw * (t1lay(i) - RTT) * precip_rain(i)
        !! sens_prec_sol(i) = rcs * (t1lay(i) - RTT) * precip_snow(i)
 
-       if (PRESENT(lat_prec_liq))                    &
+       IF (PRESENT(lat_prec_liq))                    &
          lat_prec_liq(i) =  precip_rain(i) * (RLVTT - RLVTT) 
-       if (PRESENT(lat_prec_sol))                    &
+       IF (PRESENT(lat_prec_sol))                    &
          lat_prec_sol(i) = precip_snow(i) * (RLSTT - RLVTT)
     ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/call_param_replay.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/call_param_replay.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/call_param_replay.F90	(revision 5117)
@@ -1,4 +1,4 @@
    SUBROUTINE call_param_replay(ngrid,nlay)
-   integer,intent(in) :: ngrid,nlay
+   INTEGER,INTENT(IN) :: ngrid,nlay
    stop 'In call_param_replay : You should run replay_equip.sh before runing replay[13]d'
    RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5117)
@@ -34,5 +34,5 @@
       USE lmdz_abort_physic, ONLY: abort_physic
 #ifdef ISO
-      use infotrac_phy, ONLY: ntiso
+      USE infotrac_phy, ONLY: ntiso
 #ifdef ISOVERIF
       USE isotopes_mod, ONLY: iso_eau,iso_HDO
@@ -66,5 +66,5 @@
       REAL pplay(klon,klev)
       REAL pphi(klon,klev)
-      real zlev(klon,klev+1) 
+      REAL zlev(klon,klev+1)
 !test: on sort lentr et a* pour alimenter KE
       REAL wght_th(klon,klev)
@@ -75,61 +75,61 @@
       REAL d_t_ajs(klon,klev), d_q_ajs(klon,klev)
       REAL d_u_ajs(klon,klev),d_v_ajs(klon,klev)
-      real fm_therm(klon,klev+1)
-      real entr_therm(klon,klev),detr_therm(klon,klev)
+      REAL fm_therm(klon,klev+1)
+      REAL entr_therm(klon,klev),detr_therm(klon,klev)
 
 !********************************************************
 !     declarations
       LOGICAL flag_bidouille_stratocu
-      real fmc_therm(klon,klev+1),zqasc(klon,klev)
-      real zqla(klon,klev)
-      real ztv(klon,klev),ztva(klon,klev)
-      real zpspsk(klon,klev)
-      real ztla(klon,klev)
-      real zthl(klon,klev)
-      real wmax_sec(klon)
-      real zcong(klon)
-      real zmax_sec(klon)
-      real f_sec(klon)
-      real detrc_therm(klon,klev)
+      REAL fmc_therm(klon,klev+1),zqasc(klon,klev)
+      REAL zqla(klon,klev)
+      REAL ztv(klon,klev),ztva(klon,klev)
+      REAL zpspsk(klon,klev)
+      REAL ztla(klon,klev)
+      REAL zthl(klon,klev)
+      REAL wmax_sec(klon)
+      REAL zcong(klon)
+      REAL zmax_sec(klon)
+      REAL f_sec(klon)
+      REAL detrc_therm(klon,klev)
 ! FH WARNING : il semble que ces save ne servent a rien
 !     save fmc_therm, detrc_therm
-      real clwcon0(klon,klev)
-      real zqsat(klon,klev)
-      real zw_sec(klon,klev+1)
-      integer lmix_sec(klon)
-      integer lmax(klon)
-      real ratqscth(klon,klev)
-      real ratqsdiff(klon,klev)
-      real zqsatth(klon,klev)  
+      REAL clwcon0(klon,klev)
+      REAL zqsat(klon,klev)
+      REAL zw_sec(klon,klev+1)
+      INTEGER lmix_sec(klon)
+      INTEGER lmax(klon)
+      REAL ratqscth(klon,klev)
+      REAL ratqsdiff(klon,klev)
+      REAL zqsatth(klon,klev)
 !nouvelles variables pour la convection
-      real ale_bl(klon)
-      real alp_bl(klon)
-      real ale(klon)
-      real alp(klon)
+      REAL ale_bl(klon)
+      REAL alp_bl(klon)
+      REAL ale(klon)
+      REAL alp(klon)
 !RC
       !on garde le zmax du pas de temps precedent
-      real zmax0(klon), f0(klon)
+      REAL zmax0(klon), f0(klon)
 
 !!! nrlmd le 10/04/2012
-      real pbl_tke(klon,klev+1,nbsrf)
-      real pctsrf(klon,nbsrf)
-      real omega(klon,klev)
-      real airephy(klon)
-      real zlcl_th(klon),fraca0(klon),w0(klon),w_conv(klon)
-      real therm_tke_max0(klon),env_tke_max0(klon)
-      real n2(klon),s2(klon),strig(klon)
-      real ale_bl_stat(klon)
-      real therm_tke_max(klon,klev),env_tke_max(klon,klev)
-      real alp_bl_det(klon),alp_bl_fluct_m(klon),alp_bl_fluct_tke(klon),alp_bl_conv(klon),alp_bl_stat(klon)
+      REAL pbl_tke(klon,klev+1,nbsrf)
+      REAL pctsrf(klon,nbsrf)
+      REAL omega(klon,klev)
+      REAL airephy(klon)
+      REAL zlcl_th(klon),fraca0(klon),w0(klon),w_conv(klon)
+      REAL therm_tke_max0(klon),env_tke_max0(klon)
+      REAL n2(klon),s2(klon),strig(klon)
+      REAL ale_bl_stat(klon)
+      REAL therm_tke_max(klon,klev),env_tke_max(klon,klev)
+      REAL alp_bl_det(klon),alp_bl_fluct_m(klon),alp_bl_fluct_tke(klon),alp_bl_conv(klon),alp_bl_stat(klon)
 !!! fin nrlmd le 10/04/2012
 
 !********************************************************
 
-      real, dimension(klon) :: pcon
-      real, dimension(klon,klev) :: rhobarz,wth3
-      integer,dimension(klon) :: lalim
-      real, dimension(klon,klev+1) :: fm
-      real, dimension(klon,klev) :: alim_star
-      real, dimension(klon) :: zmax
+      REAL, DIMENSION(klon) :: pcon
+      REAL, DIMENSION(klon,klev) :: rhobarz,wth3
+      INTEGER,DIMENSION(klon) :: lalim
+      REAL, DIMENSION(klon,klev+1) :: fm
+      REAL, DIMENSION(klon,klev) :: alim_star
+      REAL, DIMENSION(klon) :: zmax
 
 
@@ -140,26 +140,26 @@
       REAL d_u_the(klon,klev),d_v_the(klon,klev)
 
-      real zfm_therm(klon,klev+1),zdt
-      real zentr_therm(klon,klev),zdetr_therm(klon,klev)
+      REAL zfm_therm(klon,klev+1),zdt
+      REAL zentr_therm(klon,klev),zdetr_therm(klon,klev)
 ! FH A VERIFIER : SAVE INUTILES
 !      save zentr_therm,zfm_therm
 
-      character (len=20) :: modname='calltherm'
-      character (len=80) :: abort_message
-
-      integer i,k,isplit
+      CHARACTER (LEN=20) :: modname='calltherm'
+      CHARACTER (LEN=80) :: abort_message
+
+      INTEGER i,k,isplit
       logical, save :: first=.TRUE.
-      logical :: new_thermcell
+      LOGICAL :: new_thermcell
 
 #ifdef ISO
       REAL xt_seri(ntiso,klon,klev),xtmemoire(ntiso,klon,klev)
       REAL d_xt_ajs(ntiso,klon,klev)
-      real d_xt_the(ntiso,klon,klev)
+      REAL d_xt_the(ntiso,klon,klev)
 #ifdef DIAGISO
-      real q_the(klon,klev)
-      real xt_the(ntiso,klon,klev)
-#endif
-      real qprec(klon,klev)
-      integer ixt
+      REAL q_the(klon,klev)
+      REAL xt_the(ntiso,klon,klev)
+#endif
+      REAL qprec(klon,klev)
+      INTEGER ixt
 #endif
 
@@ -167,5 +167,5 @@
 !$OMP THREADPRIVATE(first)
 !********************************************************
-      if (first) THEN
+      IF (first) THEN
         itap=0
         first=.FALSE.
@@ -199,5 +199,5 @@
          ale_bl(:)=0.
          alp_bl(:)=0.
-         if (prt_level>=10) THEN
+         IF (prt_level>=10) THEN
           PRINT*,'thermV4 nsplit: ',nsplit_thermals,' weak_inversion'
          endif
@@ -209,7 +209,7 @@
             do i=1,klon
 ! Attention teste abderr 19-03-09
-!               logexpr2(i,k)=.not.q_seri(i,k).ge.0.
-                logexpr2(i,k)=.not.q_seri(i,k)>=1.e-15
-               if (logexpr2(i,k)) THEN
+!               logexpr2(i,k)=.NOT.q_seri(i,k).ge.0.
+                logexpr2(i,k)=.NOT.q_seri(i,k)>=1.e-15
+               IF (logexpr2(i,k)) THEN
 #ifdef ISO
                 qprec(i,k)=q_seri(i,k)
@@ -232,11 +232,11 @@
 
 
-         new_thermcell=iflag_thermals>=15.and.iflag_thermals<=18
-#ifdef ISO
-      if (.not.new_thermcell) THEN
+         new_thermcell=iflag_thermals>=15.AND.iflag_thermals<=18
+#ifdef ISO
+      IF (.NOT.new_thermcell) THEN
            CALL abort_gcm('calltherm 234','isos pas prevus ici',1)
       endif
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
        CALL iso_verif_egalite_vect2D( &
              xt_seri,q_seri, &
@@ -250,5 +250,5 @@
          do isplit=1,nsplit_thermals
 
-          if (iflag_thermals>=1000) THEN
+          IF (iflag_thermals>=1000) THEN
             CALL thermcell_2002(klon,klev,zdt,iflag_thermals   &
         ,pplay,paprs,pphi  &
@@ -258,5 +258,5 @@
         ,r_aspect_thermals,30.,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==2) THEN
+          ELSE IF (iflag_thermals==2) THEN
             CALL thermcell_sec(klon,klev,zdt  &
         ,pplay,paprs,pphi,zlev  &
@@ -266,5 +266,5 @@
         ,r_aspect_thermals,30.,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==3) THEN
+          ELSE IF (iflag_thermals==3) THEN
             CALL thermcell(klon,klev,zdt  &
         ,pplay,paprs,pphi  &
@@ -274,5 +274,5 @@
         ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==10) THEN
+          ELSE IF (iflag_thermals==10) THEN
             CALL thermcell_eau(klon,klev,zdt  &
         ,pplay,paprs,pphi  &
@@ -282,8 +282,8 @@
         ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==11) THEN
+          ELSE IF (iflag_thermals==11) THEN
               abort_message = 'cas non prevu dans calltherm'
               CALL abort_physic (modname,abort_message,1)
-          else if (iflag_thermals==12) THEN
+          ELSE IF (iflag_thermals==12) THEN
             CALL calcul_sec(klon,klev,zdt  &
         ,pplay,paprs,pphi,zlev  &
@@ -292,8 +292,8 @@
         ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
         ,tau_thermals)
-          else if (iflag_thermals==13.or.iflag_thermals==14) THEN
+          ELSE IF (iflag_thermals==13.OR.iflag_thermals==14) THEN
               abort_message = 'thermcellV0_main enleve svn>2084'
               CALL abort_physic (modname,abort_message,1)
-          else if (new_thermcell) THEN
+          ELSE IF (new_thermcell) THEN
             CALL thermcell_main(itap,klon,klev,zdt  &
         ,pplay,paprs,pphi,debut  &
@@ -324,5 +324,5 @@
           )
 
-           if (prt_level>10) WRITE(lunout,*)'Apres thermcell_main OK'
+           IF (prt_level>10) WRITE(lunout,*)'Apres thermcell_main OK'
          else
            abort_message = 'Cas des thermiques non prevu'
@@ -334,13 +334,13 @@
 ! Il aurait mieux valu avoir un nobidouille_stratocu
 ! Et pour simplifier :
-! nobidouille_stratocu=.not.(iflag_thermals==13.or.iflag_thermals=15)
+! nobidouille_stratocu=.NOT.(iflag_thermals==13.OR.iflag_thermals=15)
 ! Ce serait bien de changer, mai en prenant le temps de vérifier que ca
 ! fait bien ce qu'on croit.
 
-       flag_bidouille_stratocu=iflag_thermals<=12.or.iflag_thermals==14.or.iflag_thermals==16.or.iflag_thermals==18
+       flag_bidouille_stratocu=iflag_thermals<=12.OR.iflag_thermals==14.OR.iflag_thermals==16.OR.iflag_thermals==18
 
 ! Calcul a posteriori du niveau max des thermiques pour les schémas qui
 ! ne la sortent pas.
-      if (iflag_thermals<=12.or.iflag_thermals>=1000) THEN
+      IF (iflag_thermals<=12.OR.iflag_thermals>=1000) THEN
          lmax(:)=1
          do k=1,klev-1
@@ -349,5 +349,5 @@
          do k=1,klev-1
             do i=1,klon
-               if (zfm_therm(i,k+1)>0.) lmax(i)=k
+               IF (zfm_therm(i,k+1)>0.) lmax(i)=k
             enddo
          enddo
@@ -356,5 +356,5 @@
       fact(:)=0.
       DO i=1,klon
-       logexpr1(i)=flag_bidouille_stratocu.or.weak_inversion(i)>0.5
+       logexpr1(i)=flag_bidouille_stratocu.OR.weak_inversion(i)>0.5
        IF(logexpr1(i)) fact(i)=1./REAL(nsplit_thermals)
       ENDDO
@@ -402,5 +402,5 @@
 #ifdef ISOVERIF
 !      WRITE(*,*) 'calltherm 350 tmp: ajout d_xt_the'
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
 !      i=479
 !      k=4
@@ -415,5 +415,5 @@
 #endif
 #endif 
-           if (prt_level>10) WRITE(lunout,*)'Apres apres thermcell_main OK'
+           IF (prt_level>10) WRITE(lunout,*)'Apres apres thermcell_main OK'
 
        DO i=1,klon
@@ -432,6 +432,6 @@
             DO k = 1, klev
             DO i = 1, klon
-               logexpr2(i,k)=.not.q_seri(i,k)>=0.
-               if (logexpr2(i,k)) THEN
+               logexpr2(i,k)=.NOT.q_seri(i,k)>=0.
+               IF (logexpr2(i,k)) THEN
                 q_seri(i,k)=1.e-15
                 nbptspb=nbptspb+1
@@ -450,5 +450,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
           xt_seri,q_seri, &
@@ -464,6 +464,6 @@
             DO i = 1, klon
                logexpr2(i,k)=t_seri(i,k)<50..or.t_seri(i,k)>370.
-               if (logexpr2(i,k)) nbptspb=nbptspb+1
-!              if ((t_seri(i,k).lt.50.) .or.  &
+               IF (logexpr2(i,k)) nbptspb=nbptspb+1
+!              if ((t_seri(i,k).lt.50.) .OR.  &
 !    &              (t_seri(i,k).gt.370.)) THEN
 !                 PRINT*,'WARN temp apres therm i=',i,'  k=',k  &
@@ -483,5 +483,5 @@
                do k=1,klev
             do i=1,klon
-                  if (entr_therm(i,k)>0.) THEN
+                  IF (entr_therm(i,k)>0.) THEN
                      fmc_therm(i,k+1)=fmc_therm(i,k)+entr_therm(i,k)
                   else
@@ -498,9 +498,9 @@
 !      PRINT*,'<<<<calcul de lhumidite dans thermique'
 !CR:on ne le calcule que pour le cas sec
-      if (iflag_thermals<=11) THEN
+      IF (iflag_thermals<=11) THEN
       do i=1,klon
          zqasc(i,1)=q_seri(i,1)
          do k=2,klev
-            if (fmc_therm(i,k+1)>1.e-6) THEN
+            IF (fmc_therm(i,k+1)>1.e-6) THEN
                zqasc(i,k)=(fmc_therm(i,k)*zqasc(i,k-1)  &
                 +entr_therm(i,k)*q_seri(i,k))/fmc_therm(i,k+1)
@@ -519,5 +519,5 @@
                 do k=1,klev
                    clwcon0(i,k)=zqasc(i,k)-zqsat(i,k)
-                   if (clwcon0(i,k)<0. .or.   &
+                   IF (clwcon0(i,k)<0. .OR.   &
                (fm_therm(i,k+1)+detrc_therm(i,k))<1.e-6) THEN
                       clwcon0(i,k)=0.
@@ -529,5 +529,5 @@
                 do k=1,klev
                    clwcon0(i,k)=zqla(i,k)  
-                   if (clwcon0(i,k)<0. .or.   &
+                   IF (clwcon0(i,k)<0. .OR.   &
                (fm_therm(i,k+1)+detrc_therm(i,k))<1.e-6) THEN
                    clwcon0(i,k)=0. 
@@ -542,5 +542,5 @@
           do i=1,klon
              do k=1,klev
-                if (ztla(i,k) < 1.e-10) fraca(i,k) =0.
+                IF (ztla(i,k) < 1.e-10) fraca(i,k) =0.
              enddo
           enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5117)
@@ -231,5 +231,5 @@
      IF (qsurf(i)<0.0)  ng_qsurf = ng_qsurf + 1
   ENDDO
-  IF (ng_q1>0 .and. prt_level > 5) THEN
+  IF (ng_q1>0 .AND. prt_level > 5) THEN
       WRITE(lunout,*)" *** Warning: Negative q1(humidity at 1st level) values in cdrag.F90 !"
       WRITE(lunout,*)" The total number of the grids is: ", ng_q1
@@ -238,5 +238,5 @@
 !      CALL abort_physic(modname,abort_message,1)
   ENDIF
-  IF (ng_qsurf>0 .and. prt_level > 5) THEN
+  IF (ng_qsurf>0 .AND. prt_level > 5) THEN
       WRITE(lunout,*)" *** Warning: Negative qsurf(humidity at surface) values in cdrag.F90 !"
       WRITE(lunout,*)" The total number of the grids is: ", ng_qsurf
@@ -316,5 +316,5 @@
 
 !------------------                 Pour ECUME                 --------------------
-       ELSE IF ((choix_bulk == 4) .and. (nsrf == is_oce)) THEN
+       ELSE IF ((choix_bulk == 4) .AND. (nsrf == is_oce)) THEN
          OPRECIP = .FALSE.
          OPWEBB  = .FALSE.
@@ -339,10 +339,10 @@
 
 !------------------                 Pour COARE CNRM                 --------------------
-       ELSE IF ((choix_bulk == 5) .and. (nsrf == is_oce)) THEN
+       ELSE IF ((choix_bulk == 5) .AND. (nsrf == is_oce)) THEN
          LPRECIP = .FALSE.
          LPWG    = .FALSE.
          CALL ini_csts
          block
-           real, dimension(1) :: z0m_1d, z_0h_1d, sqrt_zdu2_1d, zgeop1_rg_1d  ! convert scalar to 1D for call
+           REAL, DIMENSION(1) :: z0m_1d, z_0h_1d, sqrt_zdu2_1d, zgeop1_rg_1d  ! convert scalar to 1D for call
            z0m_1d = z0m
            z_0h_1d = z0h
@@ -362,5 +362,5 @@
 
 !------------------                 Pour COARE Maison                 --------------------
-       ELSE IF ((choix_bulk == 1) .and. (nsrf == is_oce)) THEN
+       ELSE IF ((choix_bulk == 1) .AND. (nsrf == is_oce)) THEN
          IF ( pblh(i) == 0. ) THEN
            pblh(i) = 1500.
@@ -474,5 +474,5 @@
                   ENDIF
              CASE (5) ! MO
-                  if (zri(i) < 1./alpha) THEN
+                  IF (zri(i) < 1./alpha) THEN
                     FM(i)=MAX((1.-alpha*zri(i))**2,f_ri_cd_min)
                     FH(i)=FM(i)
@@ -607,5 +607,5 @@
                 FH(i)=FM(i)
            CASE (4)  ! King 2001
-                if (zri(i) < C2/2.) THEN
+                IF (zri(i) < C2/2.) THEN
                   FM(i)=MAX((1.-zri(i)/C2)**2,f_ri_cd_min)
                   FH(i)=  FM(i)
@@ -615,5 +615,5 @@
                 endif
            CASE (5) ! MO
-                if (zri(i) < 1./alpha) THEN
+                IF (zri(i) < 1./alpha) THEN
                   FM(i)=MAX((1.-alpha*zri(i))**2,f_ri_cd_min)
                   FH(i)=FM(i)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5117)
@@ -17,6 +17,6 @@
   LOGICAL, INTENT(IN) :: mixte
   REAL, DIMENSION(3), INTENT(OUT) :: coeffs
-  real, intent(out) :: rugosm
-  real, intent(out) :: rugosh
+  REAL, INTENT(OUT) :: rugosm
+  REAL, INTENT(OUT) :: rugosh
 
 
@@ -48,6 +48,6 @@
        q0 = 1.64474                           ! q0 dzfinis mais pas reutilisée ds la suite ??
 
-  REAL, dimension(3) :: z
-  integer, dimension(2) :: tmp_shape
+  REAL, DIMENSION(3) :: z
+  INTEGER, DIMENSION(2) :: tmp_shape
   z = [zu, zt, zq]
  
@@ -75,5 +75,5 @@
 
 
-  if (mixte) THEN
+  IF (mixte) THEN
      z_0m = 1.e-4                             !!!!! pour l'initialisation on fixe z_0 a 10-4
      cd_n10 = k**2 / (log(10/z_0m))**2        !!!!! on calcul ensuite cd a 10 m d'après smith 
@@ -86,8 +86,8 @@
      cd_n10_rt = sqrt(cd_n10)                  !!!!!!
      z_0m = 10. * exp(-k/cd_n10_rt)            !!!!!!! on calcul le premier z_0
-  endif
-
-
-  if ( dt > 0. ) THEN
+  ENDIF
+
+
+  IF ( dt > 0. ) THEN
      ch_n10 = 0.018 * cd_n10_rt                !!!!!!! si regime stable calcul du ch
 !     z_0h = 10. * exp(-k/ch_n10)
@@ -95,5 +95,5 @@
      ch_n10 = 0.0327 * cd_n10_rt               !!!!!!! si regime instable calcul du ch
 !     z_0h = 10. * exp(-k/ch_n10)
-  endif
+  ENDIF
 
   ce_n10 = 3.46e-2 *cd_n10_rt                  !!!!!! calcul ensuite de ce
@@ -174,5 +174,5 @@
      u_N = u / ( 1 + cd_n10_rt / k * ( logzu_10 - psi(1,1)) )
 
-     if (mixte) THEN
+     IF (mixte) THEN
         z_0m=0.018*usr**2/9.81 + 0.11*14e-6 / (usr)
 !        z_0h=(0.11*14e-6 / (usr)) + 1.4e-5 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90	(revision 5117)
@@ -220,5 +220,5 @@
 !****************************************************************************************
 !!! jyg le 07/02/2012
-!!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!jyg       IF (mod(iflag_pbl_split,2) .EQ.1) THEN
        IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
@@ -376,5 +376,5 @@
 
 !!! jyg le 07/02/2012
-!!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!jyg       IF (mod(iflag_pbl_split,2) .EQ.1) THEN
        IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5117)
@@ -172,5 +172,5 @@
 !****************************************************************************************
 !!! jyg le 07/02/2012
-!!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!jyg       IF (mod(iflag_pbl_split,2) .EQ.1) THEN
        IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
@@ -304,5 +304,5 @@
 
 !!! jyg le 07/02/2012
-!!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
+!!jyg       IF (mod(iflag_pbl_split,2) .EQ.1) THEN
        IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/clouds_gno.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/clouds_gno.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/clouds_gno.F90	(revision 5117)
@@ -220,5 +220,5 @@
           ! PRINT*,'avant test ',i,k,lconv(i),u(i),v(i),beta(i)
           ! stop
-          ! endif
+          ! END IF
           IF (abs(fprime)<1.E-11) THEN
             ! PRINT*,'avant test fprime<.e-11 '
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90	(revision 5117)
@@ -34,5 +34,5 @@
     !======================================================================
 
-    if (first) THEN
+    IF (first) THEN
        ALLOCATE(u_prev(klon,klev))
        ALLOCATE(v_prev(klon,klev))
@@ -65,13 +65,13 @@
     ! Arguments :
     !------------
-    integer iflag
+    INTEGER iflag
     CHARACTER*(*) text
     ! Local :
     !--------
-    integer i, k
-    real du_seri(klon,klev), dv_seri(klon,klev), dql_seri(klon,klev), &
+    INTEGER i, k
+    REAL du_seri(klon,klev), dv_seri(klon,klev), dql_seri(klon,klev), &
          dqs_seri(klon,klev), dq_seri(klon,klev), dt_seri(klon,klev)
-    logical t_differ, u_differ, v_differ, ql_differ, qs_differ, q_differ
-    logical any_differ
+    LOGICAL t_differ, u_differ, v_differ, ql_differ, qs_differ, q_differ
+    LOGICAL any_differ
 
     any_differ = .FALSE.
@@ -79,5 +79,5 @@
     dt_seri(:,:)=t_seri(:,:)-t_prev(:,:)
     IF (any(t_seri/=t_prev)) THEN
-       if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
+       IF ( .NOT. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** t_seri has changed',minval(dt_seri),maxval(dt_seri)
        t_differ=.TRUE.
@@ -89,5 +89,5 @@
     dq_seri(:,:)=q_seri(:,:)-q_prev(:,:)
     IF (any(q_seri/=q_prev)) THEN
-       if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
+       IF ( .NOT. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** q_seri has changed',minval(dq_seri),maxval(dq_seri)
        q_differ=.TRUE.
@@ -99,5 +99,5 @@
     dql_seri(:,:)=ql_seri(:,:)-ql_prev(:,:)
     IF (any(ql_seri/=ql_prev)) THEN
-       if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
+       IF ( .NOT. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** ql_seri has changed',minval(dql_seri),maxval(dql_seri)
        ql_differ=.TRUE.
@@ -109,5 +109,5 @@
     dqs_seri(:,:)=qs_seri(:,:)-qs_prev(:,:)
     IF (any(qs_seri/=qs_prev)) THEN
-       if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
+       IF ( .NOT. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** qs_seri has changed',minval(dqs_seri),maxval(dqs_seri)
        qs_differ=.TRUE.
@@ -119,5 +119,5 @@
     du_seri(:,:)=u_seri(:,:)-u_prev(:,:)
     IF (any(u_seri/=u_prev)) THEN
-       if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
+       IF ( .NOT. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** u_seri has changed',minval(du_seri),maxval(du_seri)
        u_differ=.TRUE.
@@ -129,5 +129,5 @@
     dv_seri(:,:)=v_seri(:,:)-v_prev(:,:)
     IF (any(v_seri/=v_prev)) THEN
-       if ( .not. any_differ ) write (*,*) "In cmp_seri, after ",text
+       IF ( .NOT. any_differ ) write (*,*) "In cmp_seri, after ",text
        write (*,*) '*** v_seri has changed',minval(dv_seri),maxval(dv_seri)
        v_differ=.TRUE.
@@ -137,6 +137,6 @@
     END IF
 
-    if (any_differ) THEN
-       IF (iflag >= 2 .and. prt_level >= 5) THEN
+    IF (any_differ) THEN
+       IF (iflag >= 2 .AND. prt_level >= 5) THEN
           i=1
           DO k = 1, klev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5117)
@@ -143,5 +143,5 @@
 LOGICAL,            INTENT(IN)    :: LPRECIP   !
 LOGICAL,            INTENT(IN)    :: LPWG    !
-real, dimension(3), intent(inout)      :: coeffs
+REAL, DIMENSION(3), INTENT(INOUT)      :: coeffs
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5117)
@@ -6,7 +6,7 @@
 contains
 
-  real function psit_30(zet)
+  REAL function psit_30(zet)
     IMPLICIT NONE
-    real, intent(in) :: zet
+    REAL, INTENT(IN) :: zet
 
     REAL :: x, psik, psic, f, c
@@ -26,11 +26,11 @@
   END FUNCTION psit_30
 
-  real function psiuo(zet)
+  REAL function psiuo(zet)
     IMPLICIT NONE
-    real, intent(in) :: zet
+    REAL, INTENT(IN) :: zet
 
     REAL :: x, psik, psic, f, c
 
-    if (zet<0) THEN
+    IF (zet<0) THEN
        x=(1.-15.*zet)**.25
        psik=2.*log((1.+x)/2.)+log((1.+x*x)/2.)-2.*atan(x)+2.*atan(1.)
@@ -42,5 +42,5 @@
      c=min(50.,.35*zet)
      psiuo=-((1.+1.0*zet)**1.0+.667*(zet-14.28)/exp(c)+8.525)
-  endif
+  ENDIF
 
 END FUNCTION psiuo
@@ -67,20 +67,20 @@
   IMPLICIT NONE
 
-  real, intent(in) :: du,dt,dq,t,q
-  real, intent(in) :: zu,zt,zq,p,zi
-  integer, intent(in) :: nits
-  ! real, dimension (nits), intent(out) :: zo,tau,hsb,hlb
-  ! real, dimension(nits,3), intent(out) :: var
-  real, dimension(3), intent(out) :: coeffs
-  real, intent(out) :: rugosm
-  real, intent(out) :: rugosh
-
-  real, parameter ::  beta=1.2, von=.4, fdg = 1. ,&
+  REAL, INTENT(IN) :: du,dt,dq,t,q
+  REAL, INTENT(IN) :: zu,zt,zq,p,zi
+  INTEGER, INTENT(IN) :: nits
+  ! REAL, dimension (nits), INTENT(OUT) :: zo,tau,hsb,hlb
+  ! REAL, DIMENSION(nits,3), INTENT(OUT) :: var
+  REAL, DIMENSION(3), INTENT(OUT) :: coeffs
+  REAL, INTENT(OUT) :: rugosm
+  REAL, INTENT(OUT) :: rugosh
+
+  REAL, parameter ::  beta=1.2, von=.4, fdg = 1. ,&
        tdk = 273.16, pi = 3.141593, grav = 9.82,&
        rgas = 287.1
 
-  integer, dimension(3) :: shape_input
-
-  real bf, cc, rhoa, visa,&
+  INTEGER, DIMENSION(3) :: shape_input
+
+  REAL bf, cc, rhoa, visa,&
        u10, ut, uts, ut0, ug,&
        cd10, ch10, ct, ct10,&
@@ -98,8 +98,8 @@
 
 
-  real old_usr, old_tsr, old_qsr,tmp
-
-  real, external :: grv
-  integer i,j,k
+  REAL old_usr, old_tsr, old_qsr,tmp
+
+  REAL, external :: grv
+  INTEGER i,j,k
 !---------------- Rajout pour prendre en compte différent Z0 --------------------------------!
 !  INTEGER :: NGRVWAVES        ! Pour le choix du z0
@@ -153,9 +153,9 @@
   Ribu=grav*zu/t*(dt+.61*t*dq)/ut**2
 
-  if (Ribu < 0) THEN
+  IF (Ribu < 0) THEN
      zetu=CC*Ribu/(1+Ribu/Ribcu)
   else
      zetu=CC*Ribu*(1+27/9*Ribu/CC)
-  endif
+  ENDIF
 
   L10=zu/zetu
@@ -163,5 +163,5 @@
   ! if (zetu .GT. 50) THEN
   !    nits=1
-  ! endif
+  ! END IF
 
   usr=ut*von/(log(zu/zom10)-psiuo(zetu))
@@ -171,13 +171,13 @@
 
   ! charnock constant - lin par morceau - constant
-  if ( ut <= 10. ) THEN
+  IF ( ut <= 10. ) THEN
      charn=0.011
   else
-     if (ut > 18) THEN
+     IF (ut > 18) THEN
         charn=0.018
      else
         charn=0.011+(ut-10)/(18-10)*(0.018-0.011)
      endif
-  endif
+  ENDIF
 
 !  ZHWAVE = 0.018*ut*ut*(1.+0.015*ut)
@@ -220,5 +220,5 @@
      Bf=-grav/t*usr*(tsr+.61*t*qsr)
 
-     if (Bf > 0) THEN
+     IF (Bf > 0) THEN
         ug=Beta*(Bf*zi)**.333
      else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5117)
@@ -165,5 +165,5 @@
        ! Mais ca fait planter le replay.
        ! En attendant une réécriture, on a joute des if (Fredho)
-       if ( klon>1 .or. (klon==1 .and. knon==1) ) THEN
+       IF ( klon>1 .OR. (klon==1 .AND. knon==1) ) THEN
           CALL ustarhb(knon,klev,knon,yu,yv,ycdragm, yustar)
        endif
@@ -175,5 +175,5 @@
 !   iflag_pbl peut etre utilise comme longuer de melange
        IF (iflag_pbl>=31) THEN
-          if ( klon>1 .or. (klon==1 .and. knon==1) ) THEN
+          IF ( klon>1 .OR. (klon==1 .AND. knon==1) ) THEN
           CALL vdif_kcay(knon,klev,knon,dtime,RG,RD,ypaprs,yt, &
                yzlev,yzlay,yu,yv,yteta, &
@@ -403,5 +403,5 @@
 !           calculer la fraction nuageuse (processus humide):
 
-          if (zq /= 0.) THEN
+          IF (zq /= 0.) THEN
              zfr = (zq+ratqs*zq-zqs) / (2.0*ratqs*zq)
           else
